<?php
/**
 * Created by PhpStorm.
 * User: phillipesilva
 * Date: 05/01/2016
 * Time: 14:21
 */

namespace Factory;

use Zeedhi\DevOps\Model\Configurationmanager\Entities\RepositoryBranch as RepositoryBranchEntity;
use Zeedhi\DevOps\Model\Configurationmanager\Entities\Branch as BranchEntity;
use Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository as RepositoryEntity;

class RepositoryBranch {
    public function saveRepositoryBranch(RepositoryBranchEntity $repositoryBranch = null, BranchEntity $branch, RepositoryEntity $repository) {
        if (!$repositoryBranch) {
            $repositoryBranch = new RepositoryBranchEntity();
        }

        $repositoryBranch->setBranch($branch);
        $repositoryBranch->setRepository($repository);

        return $repositoryBranch;
    }
} 